ScXMLOnExitElt(3)

NAME
ScXMLOnExitElt - implements the <onexit> SCXML element.

SYNOPSIS

#include <Inventor/scxml/ScXMLOnExitElt.h>

Inherits ScXMLElt.

  Public Member Functions
virtual SoType getTypeId (void) const
Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and 'downward' casting.
virtual int getNumExecutables (void) const
virtual ScXMLExecutableElt * getExecutable (int idx) const
virtual void addExecutable (ScXMLExecutableElt *executable)
virtual void removeExecutable (ScXMLExecutableElt *executable)
virtual void clearAllExecutables (void)
virtual void copyContents (const ScXMLElt *rhs)
virtual const ScXMLElt * search (const char *attrname, const char *attrvalue) const
virtual void execute (ScXMLStateMachine *statemachine) const

  Static Public Member Functions
static ScXMLEltReader * getElementReader (void)
static SoType getClassTypeId (void)
static void * createInstance (void)
static void initClass (void)
static void cleanClass (void)

  Additional Inherited Members

Detailed Description

implements the <onexit> SCXML element.

Since
    Coin 3.0

Member Function Documentation

  SoType ScXMLOnExitElt::getTypeId (void) const [virtual]

Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and 'downward' casting.

See also
    SoBase::getTypeId() const

Implements ScXMLElt.

  void ScXMLOnExitElt::copyContents (const ScXMLElt * rhs) [virtual]

Reimplemented from ScXMLElt.

  const ScXMLElt * ScXMLOnExitElt::search (const char * attrname, const char * attrvalue) const [virtual]
This method searches the SCXML structure for an element with the given attribute value for the given attribute.

Returns NULL if nothing was found.

This function needs to be reimplemented to traverse child elements.

Reimplemented from ScXMLElt.

Author

Generated automatically by Doxygen for Coin from the source code.